<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Layout.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_layout_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Layout.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_layout_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef LAYOUT_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define LAYOUT_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_widget_8h.html">Widget.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_mutex_8h.html">Mutex.h</a>&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;{</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">namespace </span>gui</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;{</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    <span class="keyword">class </span>LayoutPosition;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div>
<div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classframework_1_1gui_1_1_layout.html">   29</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1gui_1_1_layout.html">Layout</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1gui_1_1_widget.html">Widget</a></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    {</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;        <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classframework_1_1gui_1_1_box.html">Box</a>;</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_layout.html#a4a8a007f2dfc92e095fd0cae53338eb0">Layout</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1gui_1_1_widget.html">Widget</a>* parent,std::string name,std::string type);</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_layout.html#a3df6ba7031ad662f207aacf759f144ad">~Layout</a>();</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_layout_position.html">LayoutPosition</a>* <a class="code" href="classframework_1_1gui_1_1_layout.html#ad3a59b98ec84d9cd4bccf0bc59bc40e1">LastRowLastCol</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_layout_position.html">LayoutPosition</a>*  <a class="code" href="classframework_1_1gui_1_1_layout.html#a6089d2c9cfb649432d846841b589386b">NewRow</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_layout_position.html">LayoutPosition</a>*  <a class="code" href="classframework_1_1gui_1_1_layout.html#ae9193c5a839a5ddbf1545ce641c4f1bc">At</a>(uint16_t row,uint16_t col) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;            <a class="code" href="classframework_1_1core_1_1_mutex.html">core::Mutex</a>* mutex;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    };</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;} <span class="comment">// end namespace gui</span></div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="preprocessor">#endif // LAYOUT_H</span></div>
<div class="ttc" id="classframework_1_1gui_1_1_box_html"><div class="ttname"><a href="classframework_1_1gui_1_1_box.html">framework::gui::Box</a></div><div class="ttdoc">Abstract class to display a box on the ground station. </div><div class="ttdef"><b>Definition:</b> Box.h:31</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_layout_html_a6089d2c9cfb649432d846841b589386b"><div class="ttname"><a href="classframework_1_1gui_1_1_layout.html#a6089d2c9cfb649432d846841b589386b">framework::gui::Layout::NewRow</a></div><div class="ttdeci">LayoutPosition * NewRow(void) const </div><div class="ttdoc">New Row LayoutPosition. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_layout_html_ad3a59b98ec84d9cd4bccf0bc59bc40e1"><div class="ttname"><a href="classframework_1_1gui_1_1_layout.html#ad3a59b98ec84d9cd4bccf0bc59bc40e1">framework::gui::Layout::LastRowLastCol</a></div><div class="ttdeci">LayoutPosition * LastRowLastCol(void) const </div><div class="ttdoc">Last Row and Col LayoutPosition. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_layout_position_html"><div class="ttname"><a href="classframework_1_1gui_1_1_layout_position.html">framework::gui::LayoutPosition</a></div><div class="ttdoc">Class to define a position in a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> LayoutPosition.h:26</div></div>
<div class="ttc" id="_widget_8h_html"><div class="ttname"><a href="_widget_8h.html">Widget.h</a></div><div class="ttdoc">Abstract class for all Framework&#39;s widget classes. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_layout_html"><div class="ttname"><a href="classframework_1_1gui_1_1_layout.html">framework::gui::Layout</a></div><div class="ttdoc">Abstract class to display a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> Layout.h:29</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_layout_html_a4a8a007f2dfc92e095fd0cae53338eb0"><div class="ttname"><a href="classframework_1_1gui_1_1_layout.html#a4a8a007f2dfc92e095fd0cae53338eb0">framework::gui::Layout::Layout</a></div><div class="ttdeci">Layout(const Widget *parent, std::string name, std::string type)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="_mutex_8h_html"><div class="ttname"><a href="_mutex_8h.html">Mutex.h</a></div><div class="ttdoc">Class defining a mutex. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_layout_html_a3df6ba7031ad662f207aacf759f144ad"><div class="ttname"><a href="classframework_1_1gui_1_1_layout.html#a3df6ba7031ad662f207aacf759f144ad">framework::gui::Layout::~Layout</a></div><div class="ttdeci">~Layout()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_layout_html_ae9193c5a839a5ddbf1545ce641c4f1bc"><div class="ttname"><a href="classframework_1_1gui_1_1_layout.html#ae9193c5a839a5ddbf1545ce641c4f1bc">framework::gui::Layout::At</a></div><div class="ttdeci">LayoutPosition * At(uint16_t row, uint16_t col) const </div><div class="ttdoc">LayoutPosition at specified position. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_mutex_html"><div class="ttname"><a href="classframework_1_1core_1_1_mutex.html">framework::core::Mutex</a></div><div class="ttdoc">Class defining a mutex. </div><div class="ttdef"><b>Definition:</b> Mutex.h:27</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_widget_html"><div class="ttname"><a href="classframework_1_1gui_1_1_widget.html">framework::gui::Widget</a></div><div class="ttdoc">Abstract class for all Framework&#39;s widget classes. </div><div class="ttdef"><b>Definition:</b> Widget.h:34</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_b562b7e28db909b473d6df8cfc340e1a.html">Framework</a></li><li class="navelem"><a class="el" href="dir_351818660e8c85d910ad9decfeb820b5.html">src</a></li><li class="navelem"><a class="el" href="_layout_8h.html">Layout.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
